Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.pdu
Class InterfacesPdu

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--uk.co.westhawk.snmp.stack.Pdu
                  |
                  +--uk.co.westhawk.snmp.stack.GetPdu
                        |
                        +--uk.co.westhawk.snmp.pdu.InterfacePdu
                              |
                              +--uk.co.westhawk.snmp.pdu.InterfacesPdu

public class InterfacesPdu
extends InterfacePdu

The InterfacesPdu class will ask for the number of current interfaces. For each interface it will send an InterfacePdu to get the information of the specific interface.

Version:
  $Revision: 3.11 $ $Date: 2006/01/17 17:49:53 $
Author:
  Tim Panton
See Also:
  `InterfacePdu`

Field Summary

Fields inherited from class uk.co.westhawk.snmp.pdu.InterfacePdu
`DOWN, TESTING, UNKNOWN, UP`

Fields inherited from class uk.co.westhawk.snmp.stack.Pdu
`added, answered, context, encodedPacket, errind, errstat, msg_type, reqVarbinds, respVarbinds, snmpv3MsgId`

Constructor Summary
`InterfacesPdu(SnmpContextBasisFace con, java.util.Observer o, int interfs)` Constructor that will send the request immediately.

Method Summary
`InterfacePdu[]` | `getInterfacePdus()` Returns the interfaces.
`protected void` | `new_value(int n, varbind res)` The value of the request is set.

Methods inherited from class uk.co.westhawk.snmp.pdu.InterfacePdu
`getDescription, getIndex, getInOctet, getNumIfs, getOperStatus, getOperStatusString, getOperStatusString, getOutOctet, getSpeed, getSysUpTime, tell_them`

Methods inherited from class uk.co.westhawk.snmp.stack.Pdu
`addOid, addOid, addOid, addOid, addOid, addToTrans, getContext, getErrorIndex, getErrorStatus, getErrorStatusString, getMsgType, getReqId, getRequestVarbinds, getResponseVarbinds, isExpectingResponse, isTimedOut, notifyObservers, printVars, send, send, send, sendme, setErrorIndex, setErrorStatus, setErrorStatus, setMsgType, setRetryIntervals, toString, toString, waitForSelf`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterfacesPdu

    public InterfacesPdu(SnmpContextBasisFace con,
                         java.util.Observer o,
                         int interfs)
                  throws PduException,
                         java.io.IOException

  Constructor that will send the request immediately.

Parameters:
  `con` - the SnmpContextBasisFace
  `o` - the Observer that will be notified when the answer is received

Method Detail

### getInterfacePdus

    public InterfacePdu[] getInterfacePdus()

  Returns the interfaces.

  Returns:
    the interfaces as an array of InterfacePdu

### new_value

    protected void new_value(int n,
                             varbind res)

  The value of the request is set. This will be called by Pdu.fillin().

  Overrides:
    `new_value` in class `InterfacePdu`
  Parameters:
    `n` - the index of the value
  See Also:
    `Pdu.new_value(int, uk.co.westhawk.snmp.stack.varbind)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD